org.eclipse.oomph.util

## Class ZIPUtil.FileSystemZipHandler

- java.lang.Object
- - org.eclipse.oomph.util.ZIPUtil.FileSystemZipHandler

- All Implemented Interfaces:
    ZIPUtil.ZipEntryHandler
  Enclosing class:
    ZIPUtil

      public static class ZIPUtil.FileSystemZipHandler
      extends Object
      implements ZIPUtil.ZipEntryHandler

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZIPUtil.FileSystemZipHandler(File sourceFolder, boolean excludeRoot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getName(File file)`
    `void` | `handleEntry(ZIPUtil.EntryContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZIPUtil.FileSystemZipHandler

          public ZIPUtil.FileSystemZipHandler(File sourceFolder,
                                      boolean excludeRoot)

  - ### Method Detail

    - #### handleEntry

          public void handleEntry(ZIPUtil.EntryContext context)
                           throws IOException

      Specified by:
        `handleEntry` in interface `ZIPUtil.ZipEntryHandler`
      Throws:
        `IOException`

    - #### getName

          protected String getName(File file)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html